curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/evaluate-transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"data": "0xa9059cbb000000000000000000000000...",
"value": "0x0",
"operationType": "all"
}
'{
"chain": "eip155:1",
"validation": {
"status": "Success",
"resultType": "Benign",
"description": "The transaction is safe",
"reason": "",
"classification": "",
"features": []
},
"simulation": {
"status": "Success",
"assetsDiffs": [],
"totalUsdDiff": "0",
"exposures": [],
"totalUsdExposure": "0",
"addressDetails": {},
"accountSummary": {}
}
}Transactions
Evaluate a transaction for risks
Evaluates a transaction using validation and/or simulation to assess risk before signing. Supports both EVM (EIP-155) and Solana chains. The request body format differs by chain type.
For EVM chains, provide the transaction fields (to, data, value, etc.).
For Solana, provide an array of base58-encoded transactions.
POST
/
clients
/
me
/
evaluate-transaction
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/evaluate-transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"data": "0xa9059cbb000000000000000000000000...",
"value": "0x0",
"operationType": "all"
}
'{
"chain": "eip155:1",
"validation": {
"status": "Success",
"resultType": "Benign",
"description": "The transaction is safe",
"reason": "",
"classification": "",
"features": []
},
"simulation": {
"status": "Success",
"assetsDiffs": [],
"totalUsdDiff": "0",
"exposures": [],
"totalUsdExposure": "0",
"addressDetails": {},
"accountSummary": {}
}
}Authorizations
Query Parameters
Body
application/json
- Option 1
- Option 2
Request body for evaluating an EVM (EIP-155) transaction.
Response
Transaction evaluated successfully
Evaluation result containing validation and/or simulation results depending on
the requested operationType.
Was this page helpful?